from enum import Enum


class InterfaceTemplateTypeLabel(str, Enum):
    BRIDGE = "Bridge"
    CDFP_400GE = "CDFP (400GE)"
    CDMA = "CDMA"
    CFP2_100GE = "CFP2 (100GE)"
    CFP2_200GE = "CFP2 (200GE)"
    CFP2_400GE = "CFP2 (400GE)"
    CFP4_100GE = "CFP4 (100GE)"
    CFP_100GE = "CFP (100GE)"
    CISCO_CPAK_100GE = "Cisco CPAK (100GE)"
    CISCO_FLEXSTACK = "Cisco FlexStack"
    CISCO_FLEXSTACK_PLUS = "Cisco FlexStack Plus"
    CISCO_STACKWISE = "Cisco StackWise"
    CISCO_STACKWISE_160 = "Cisco StackWise-160"
    CISCO_STACKWISE_1T = "Cisco StackWise-1T"
    CISCO_STACKWISE_320 = "Cisco StackWise-320"
    CISCO_STACKWISE_480 = "Cisco StackWise-480"
    CISCO_STACKWISE_80 = "Cisco StackWise-80"
    CISCO_STACKWISE_PLUS = "Cisco StackWise Plus"
    CPF8_400GE = "CPF8 (400GE)"
    CXP_100GE = "CXP (100GE)"
    DDR_4_GBPS = "DDR (4 Gbps)"
    DOCSIS = "DOCSIS"
    DSFP_100GE = "DSFP (100GE)"
    E1_2_048_MBPS = "E1 (2.048 Mbps)"
    E3_34_MBPS = "E3 (34 Mbps)"
    EDR_25_GBPS = "EDR (25 Gbps)"
    EPON_1_GBPS = "EPON (1 Gbps)"
    EXTREME_SUMMITSTACK = "Extreme SummitStack"
    EXTREME_SUMMITSTACK_128 = "Extreme SummitStack-128"
    EXTREME_SUMMITSTACK_256 = "Extreme SummitStack-256"
    EXTREME_SUMMITSTACK_512 = "Extreme SummitStack-512"
    FDR10_10_GBPS = "FDR10 (10 Gbps)"
    FDR_13_5_GBPS = "FDR (13.5 Gbps)"
    GBIC_1GE = "GBIC (1GE)"
    GPON_2_5_GBPS_1_25_GPS = "GPON (2.5 Gbps / 1.25 Gps)"
    GSM = "GSM"
    HDR_50_GBPS = "HDR (50 Gbps)"
    IEEE_802_11A = "IEEE 802.11a"
    IEEE_802_11AC = "IEEE 802.11ac"
    IEEE_802_11AD = "IEEE 802.11ad"
    IEEE_802_11AX = "IEEE 802.11ax"
    IEEE_802_11AY = "IEEE 802.11ay"
    IEEE_802_11BG = "IEEE 802.11b/g"
    IEEE_802_11N = "IEEE 802.11n"
    IEEE_802_15_1_BLUETOOTH = "IEEE 802.15.1 (Bluetooth)"
    JUNIPER_VCP = "Juniper VCP"
    LINK_AGGREGATION_GROUP_LAG = "Link Aggregation Group (LAG)"
    LTE = "LTE"
    NDR_100_GBPS = "NDR (100 Gbps)"
    NG_PON2_TWDM_PON_4X10_GBPS = "NG-PON2 (TWDM-PON) (4x10 Gbps)"
    OC_12STM_4 = "OC-12/STM-4"
    OC_1920STM_640 = "OC-1920/STM-640"
    OC_192STM_64 = "OC-192/STM-64"
    OC_3840STM_1234 = "OC-3840/STM-1234"
    OC_3STM_1 = "OC-3/STM-1"
    OC_48STM_16 = "OC-48/STM-16"
    OC_768STM_256 = "OC-768/STM-256"
    OSFP_400GE = "OSFP (400GE)"
    OSFP_800GE = "OSFP (800GE)"
    OSFP_RHS_400GE = "OSFP-RHS (400GE)"
    OTHER = "Other"
    OTHER_WIRELESS = "Other (Wireless)"
    QDR_8_GBPS = "QDR (8 Gbps)"
    QSFP112_400GE = "QSFP112 (400GE)"
    QSFP28_100GE = "QSFP28 (100GE)"
    QSFP28_128GFC = "QSFP28 (128GFC)"
    QSFP28_50GE = "QSFP28 (50GE)"
    QSFP56_200GE = "QSFP56 (200GE)"
    QSFP_40GE = "QSFP+ (40GE)"
    QSFP_64GFC = "QSFP+ (64GFC)"
    QSFP_DD_100GE = "QSFP-DD (100GE)"
    QSFP_DD_200GE = "QSFP-DD (200GE)"
    QSFP_DD_400GE = "QSFP-DD (400GE)"
    QSFP_DD_800GE = "QSFP-DD (800GE)"
    SDR_2_GBPS = "SDR (2 Gbps)"
    SFP28_25GE = "SFP28 (25GE)"
    SFP28_32GFC = "SFP28 (32GFC)"
    SFP56_50GE = "SFP56 (50GE)"
    SFP_10GE = "SFP+ (10GE)"
    SFP_16GFC = "SFP+ (16GFC)"
    SFP_1GE = "SFP (1GE)"
    SFP_1GFC = "SFP (1GFC)"
    SFP_2GFC = "SFP (2GFC)"
    SFP_4GFC = "SFP (4GFC)"
    SFP_8GFC = "SFP+ (8GFC)"
    SFP_DD_100GE = "SFP-DD (100GE)"
    T1_1_544_MBPS = "T1 (1.544 Mbps)"
    T3_45_MBPS = "T3 (45 Mbps)"
    VALUE_10 = "10GBASE-T (10GE)"
    VALUE_11 = "10GBASE-CX4 (10GE)"
    VALUE_3 = "100BASE-FX (10/100ME FIBER)"
    VALUE_4 = "100BASE-LFX (10/100ME FIBER)"
    VALUE_43 = "1000BASE-KX (1GE)"
    VALUE_44 = "10GBASE-KR (10GE)"
    VALUE_45 = "10GBASE-KX4 (10GE)"
    VALUE_46 = "25GBASE-KR (25GE)"
    VALUE_47 = "40GBASE-KR4 (40GE)"
    VALUE_48 = "50GBASE-KR (50GE)"
    VALUE_49 = "100GBASE-KP4 (100GE)"
    VALUE_5 = "100BASE-TX (10/100ME)"
    VALUE_50 = "100GBASE-KR2 (100GE)"
    VALUE_51 = "100GBASE-KR4 (100GE)"
    VALUE_6 = "100BASE-T1 (10/100ME Single Pair)"
    VALUE_7 = "1000BASE-T (1GE)"
    VALUE_8 = "2.5GBASE-T (2.5GE)"
    VALUE_9 = "5GBASE-T (5GE)"
    VALUE_99 = "10G-EPON (10 Gbps)"
    VIRTUAL = "Virtual"
    X2_10GE = "X2 (10GE)"
    XDR_250_GBPS = "XDR (250 Gbps)"
    XDSL = "xDSL"
    XENPAK_10GE = "XENPAK (10GE)"
    XFP_10GE = "XFP (10GE)"
    XGS_PON_10_GBPS = "XGS-PON (10 Gbps)"
    XG_PON_10_GBPS_2_5_GBPS = "XG-PON (10 Gbps / 2.5 Gbps)"

    def __str__(self) -> str:
        return str(self.value)
